/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2006 Juan Pablo Ugarte.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Authors:
 *   Juan Pablo Ugarte <juanpablougarte@gmail.com>
 */

#include <config.h>

#include <gladeui/glade.h>
//#include <gladeui/glade-editor-property.h>
//#include <gladeui/glade-gtk.h>

#include <vuc/libvucgtk.h>
 
#include "libgladevuc.h"


/* This function does absolutely nothing
 * (and is for use in overriding post_create functions).
 */
void
empty (GObject * container, GladeCreateReason reason)
{
}

/* Catalog init function */
void
glade_vuc_init (const gchar * name)
{
  /*
    Without this, under Windows XP with MinGW the vucgtk-library will not be
    linked in, even though it appears in the dependency-file.
    TODO: find out why and fix it properly.
  */
  vucgtk_init(0);
}

/*
static void vuc_object_class_init (VucObjectClass * class)
{
}

static void vuc_object_init (VucObject * widget)
{
}

G_DEFINE_TYPE(VucObject, vuc_object, GTK_TYPE_OBJECT)
*/
